{% extends 'profile/layouts/admin/admin_layout.html' %}

{% block css %}
    <style>
        div#news-content > p > img{
            max-width: 100% !important;
            height: auto  !important;
        }
    </style>
{% endblock css %}

{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_gallery' %}">Gallery</a></li>
            <li class="breadcrumb-item active" aria-current="page">Detail</li>
        </ol>
    </nav>
    
    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}

    {% if gallery %}
        <div class="text-right pt-3">
            {% if gallery.deleted_at %}
                <div class="btn btn-success" onclick="restore_(`{{ gallery.nama }}`, '{{ gallery.slug }}')"><i class="bi bi-arrow-counterclockwise"></i> Pulihkan</div>
                <div class="btn btn-danger" onclick="delete_('permanent_delete', `{{ gallery.nama }}`, '{{ gallery.slug }}')"><i class="bi bi-trash"></i> Hapus Permanen</div>
            {% else %}
                <a href="{% url 'profile:admin_gallery_edit' slug=gallery.slug %}"> 
                    <button type="button" class="btn btn-info my-2"><i class="bi bi-pencil"></i> Edit</button>
                </a>
                <div class="btn btn-danger" onclick="delete_('soft_delete', `{{ gallery.nama }}`, '{{ gallery.slug }}')"><i class="bi bi-archive"></i> Arsipkan</div>
            {% endif %}
        </div>
        
        <input type="hidden" id="gallery-slug" value="{{ gallery.slug }}">
        <div class="py-3 mb-5">
            <div class="card">
                <h5 class="card-header">{{ gallery.title }}</h5>
                <div class="card-body">
                    {% if gallery.foto %}
                        <img src="{{ gallery.foto.url }}" class="img-fluid w-100" alt="Responsive image">
                    {% endif %}
                
                    {% if gallery.video %}
                        <div class="embed-responsive embed-responsive-16by9">
                            <iframe class="embed-responsive-item" src="{{ gallery.video }}" allowfullscreen></iframe>
                        </div>
                    {% endif %}

                    <h5 class="card-title mt-3">{{ gallery.created_by.first_name }} {{ gallery.created_by.last_name }}  | {{ gallery.created_at }}</h5>
                    <div class="container-fluid" id="gallery-content">
                        {{ gallery.keterangan }} 
                    </div>
                    <div class="container">Tags: {% for tag in gallery.tags.all %} <a href="{% url 'profile:tags' slug=tag.slug %}"><span class="badge badge-info">{{ tag.name }}</span></a> {% endfor %} </div>
                    
                </div>
            </div>
        </div>
    {% else %}
        <h1>GALERI TIDAK DITEMUKAN</h1>
    {% endif %}
{% endblock main %}

{% if news.nama %}
    {% block scripts_bawah %}
        <script>
            function restore_(nama, slug){
                Swal.fire({
                    title: `Apakah anda yakin ingin memulihkan file ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: 'Pulihkan',
                    cancelButtonText: 'Batal',
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/manage_panel/galeri/restore/${slug}`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                    onOpen: () => {
                                        swal.showLoading();
                                    }
                                });
                            },
                            success: function(response){
                                Swal.fire(`Galeri berhasil dipulihkan!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/manage_panel/galeri/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Galeri gagal dipulihkan!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
            function delete_(action, nama, slug){
                let pesan = action == 'soft_delete' ? "arsipkan" : "hapus";
                let confirmation = action == 'soft_delete' ? "Arsipkan" : "Hapus";
                Swal.fire({
                    title: `Apakah anda yakin ingin meng${pesan} file ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: confirmation,
                    cancelButtonText: 'Batal',
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/manage_panel/galeri/${action}/${slug}`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                });
                                Swal.showLoading();
                            },
                            success: function(response){
                                Swal.fire(`Galeri berhasil di${pesan}!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/manage_panel/galeri/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Galeri gagal di${pesan}!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
        </script>
    {% endblock scripts_bawah %}
{% endif %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}